@import '../variables';

$labelColor: #09101D;
$typeColor: #394452;
$durationColor: #545D69;

.themes-list {

  display: grid;
  grid-template-columns: 1fr;
  gap: 15px;

  .theme-element-wrap {
    padding: 1px;
    background-size: 100%;
    box-shadow: 2px 2px 7px rgba(0, 0, 0, 0.05);
    height: fit-content;
    border-radius: 20px;
    font-family: $FF_SSP;
    .theme-element {
      height: 100%;
      background: $lightFontColor;
      border-radius: 19px;
      display: flex;
      padding: 18px 12px;
      .theme-element-left {
        display: flex;
        height: 100%;
        width: fit-content;
        flex-direction: column;
        align-items: flex-start;
        .theme-element-image {
          margin-right: 20px;
          width: 60px;
          height: 100%;
          min-height: 60px;
          min-width: 60px;
        }
      }
      .theme-element-text {
        display: flex;
        height: 100%;
        max-height: 100%;
        font-family: $FF_SSP;
        flex-direction: column;
        justify-content: space-between;
        color: $labelColor;
        .theme-element-row {
          display: flex;
          flex-wrap: nowrap;
          .theme-element-column {
            display: flex;
            flex-direction: column;
            max-width: 80%;
            .theme-element-text--label {
              font-size: 16px;
              font-weight: 600;
            }
            .theme-element-text--type {
              font-size: 12px;
              font-weight: 600;
            }
          }
          .theme-element-cost {
            margin-left: 10px;
            font-size: 14px;
            white-space: nowrap;
            font-weight: 600;
            color: $blueColor;
          }
        }
        .theme-element-text-info {
          margin-top: 10px;
          display: flex;
          flex-wrap: wrap;
          .theme-element-text--duration, .theme-element-text--hours {
            border: 1px solid $blueColor;
            white-space: nowrap;
            background: #F4F6F9;
            color: $blueColor;
            font-weight: 400;
            font-size: 12px;
            border-radius: 50px;
            padding: 6px 12px;
            margin: 5px;
            margin-left: 0px;
          }
          .theme-element-text--duration {
            margin-right: 10px;
          }
        }
      }
    }
  }
}

@media screen and (min-width: 1000px) {
  .themes-list {
    grid-template-columns: 1fr 1fr;

  }


}
